Bug 463704 - [LTC 6.0 FEAT] 201739:CMM2 Lite
[LTC 6.0 FEAT] 201739:CMM2 Lite
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
s390x All
medium Severity high
: alpha
: 6.0
Assigned To: Hans-Joachim Picht
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741
  Show dependency treegraph
 
Reported: 2008-09-24 03:10 EDT by IBM Bug Proxy
Modified: 2010-06-18 08:52 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-22 17:11:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 03:10:45 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:23 EDT
1. Feature Overview:
Feature Id:	[201739]
a. Name of Feature:	CMM2 Lite
b. Feature Description
This item, Colaborative Memory Management 2 (dynamic), provides enhanced z/VM memory management in a
dynamic way.

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Both
Affects Core Kernel: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Kernel
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.26

3. Business Case
Provide improved consolidation with memory overcommitment scenarios.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 Bill Nottingham 2008-10-03 10:49:49 EDT
RHEL 6 will include at least a 2.6.26 kernel, so this should not be a problem.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 Rik van Riel 2008-12-11 14:56:40 EST
We need to ensure that the following config options are enabled for RHEL 6:

CONFIG_CMM
CONFIG_CMM_PROC
CONFIG_CMM_IUCV
CONFIG_PAGE_STATES
Comment 5 Hans-Joachim Picht 2009-09-22 17:11:46 EDT
Code is included in the rhel6 kernel via upstream. Marked as
CLOSED/CURRENTRELEASE by Hans-Joachim Picht <hpicht@redhat.com>
Comment 7 IBM Bug Proxy 2010-06-18 03:46:43 EDT
------- Comment From mgrf@de.ibm.com 2010-06-18 03:11 EDT-------
This feature is verified on R6 snapshots
Set feature to "verified"  Thx

Note:
Long run tests will be performed on coming snapshots as regression test

Note You need to log in before you can comment on or make changes to this bug.